/*
    Selenium Page Object Generator - to improve agile testing process velocity.
    Copyright (C) 2015  Richard Huang <rickypc@users.noreply.github.com>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
"use strict";(function(){var e=this;e.LETTERS={LOWER:2,CAMEL:3,NATURAL:4,PROPER:5,UPPER:6},e.VISIBILITIES={HIDDEN:1,VISIBLE:2,ALL:3},Array.filter=function(e,t){e=e||[];for(var r=-1,n=e.length,a=[],o=-1;++r<n;){var i=e[r];t(i,r,e)&&(a[++o]=i)}return a},Object.extend=function(){for(var e,t,r={},n=0;n<arguments.length;n++){t=arguments[n];for(e in t)r[e]=t[e]}return r},"function"!=typeof String.prototype.trim&&(String.prototype.trim=function(){return this.replace(/^\s+|\s+$/g,"")}),e.common={defaults:function(e,t){return this.isEffective(e)?e:t},fetch:function(e){return e=e||{},e.items=e.items||{},$.Deferred(function(t){e.items[e.key]?t.resolve(e.items[e.key]):$.ajax({dataType:e.type,error:function(r,n,a){$.isFunction(e.error)&&e.error.call(this,t,e.key,r,n,a)},success:function(r,n,a){$.isFunction(e.success)&&e.success.call(this,t,e.key,r,n,a)},url:e.url})}).promise()},getStorage:function(){var e=this;return $.Deferred(function(t){var r=-1,n=[],a={};chrome.storage.local.get(null,function(o){if(a=o||{},a.model=a.model||{name:"",target:""},a.target=a.target||"java",a.targets=a.targets||{cs:{label:"C#"},java:{label:"Java"},robot:{label:"Robot Framework"}},a.timestamp)n[++r]=$.Deferred(function(e){e.resolve()}).promise();else{for(var i in a.targets){var l=a.targets[i];l.config||(n[++r]=e.fetch({error:function(e,t,r,n,a){console.log("error.config",t,r,n,a),e.reject({})},key:i,items:{},success:function(t,r,n,o,i){a.targets[r].config=e.setDefaultValues(n),t.resolve(a.targets[r].config)},type:"json",url:"assets/configs/"+i+".json"})),l.template||(n[++r]=e.fetch({error:function(e,t,r,n,a){console.log("error.template",t,r,n,a),e.reject("")},key:i,items:{},success:function(e,t,r,n,o){a.targets[t].template=r,e.resolve(a.targets[t].template)},type:"text",url:"assets/templates/"+i+".handlebars"}))}n=$.map(n,function(e){var t=$.Deferred();return e.always(t.resolve),t.promise()})}$.when.apply($,n).always(function(){t.resolve(a)})})}).promise()},isEffective:function(e){return"undefined"!=typeof e&&null!==e},setDefaultValues:function(t){return t=t||{},t.attributes=t.attributes||{},t.attributes.letter=t.attributes.letter||e.LETTERS.CAMEL,t.attributes.indent=!!t.attributes.indent,t.attributes.separator=this.defaults(t.attributes.separator,"\n"),t.copyright=t.copyright||{},t.copyright.claimant=t.copyright.claimant||"",t.copyright.year=t.copyright.year||(new Date).getFullYear(),t.fill=t.fill||{},t.fill.separator=t.fill.separator||"",t.model=t.model||{},t.model.include=!!t.model.include,t.model.name=t.model.name||"",t.model.namespace=t.model.namespace||"",t.model.target=t.model.target||"",t.nodes=t.nodes||{},t.nodes.angular=!!t.nodes.angular,t.nodes.root=t.nodes.root||"body",t.nodes.selector=t.nodes.selector||"a,button,input,select,textarea",t.nodes.visibility=t.nodes.visiblity||e.VISIBILITIES.ALL,t.operations=t.operations||{},t.operations.extras=t.operations.extras||{},t.operations.extras.fill=this.defaults(t.operations.extras.fill,1),t.operations.extras["fill.submit"]=this.defaults(t.operations.extras["fill.submit"],1),t.operations.extras.submit=this.defaults(t.operations.extras.submit,1),t.operations.extras["verify.loaded"]=this.defaults(t.operations.extras["verify.loaded"],1),t.operations.extras["verify.url"]=this.defaults(t.operations.extras["verify.url"],1),t.operations.letter=t.operations.letter||e.LETTERS.CAMEL,t.operations.separator=this.defaults(t.operations.separator,"\n"),t.timeout=t.timeout||15,t}},"undefined"!=typeof exports&&("undefined"!=typeof module&&module.exports&&(exports=module.exports=e),exports.common=e.common,exports.LETTERS=e.LETTERS,exports.VISIBILITIES=e.VISIBILITIES)}).call(this),window.POGLoaded=!!window.POG,window.POG=function(){function e(e,t){var r="",n=t.getAttribute(e);if(n){var a=t.nodeName.toLowerCase()+"["+e+"='"+n+"']";1===document.querySelectorAll(a).length&&(r=a)}return r}function t(e,t){var r=[].slice.call(t);r.unshift(e);var n=r.length,a=1;a>n&&(a=0);for(var o=0,i=a,l=0;n>l;l++){var s=Math.abs(o-l);s>a&&(a=s,i=l)}return 0===i?null:r[i]}function r(e){for(var t=[],r=-1,n=document.createTreeWalker(e,w,null,!1);n.nextNode();)t[++r]=n.currentNode;return t}function n(e){for(var t="";e&&e.nodeType===I;e=e.parentNode){if(e.id){t="#"+e.id+" "+t;break}var r=e.nodeName,n=r.toLowerCase(),a=g(e,r);a>0?n+=":nth-of-type("+a+")":(""!==e.className&&(n+="."+e.className.split(/\s+/g).join(".")),"INPUT"===r&&(e.getAttribute("type")?n+="[type='"+e.type+"']":e.getAttribute("data-type")&&(n+="[data-type='"+e.getAttribute("data-type")+"']"))),t=n+" "+t}return t.replace(/^html[^\b]*\bbody\b/,"").trim()}function a(e){e=e||{};var t=e.action.toLowerCase(),r=Object.extend(e.buffer);r.attribute=Object.extend(r.attribute),r.operation=Object.extend(r.operation);var n={action:"click"===t?" on":"",label:"set"===t?" Field":""};return n.documentation=" "+u(e.fullText||e.text,LETTERS.NATURAL)+" "+(e.label+n.label.toLowerCase())+".",n.name=" "+e.text+" "+e.label+n.label,e.negate&&(e.action="Un"+t,r.negate=1),e.hasArgument&&(n.action=e.negate?" value from":" value to",r.argument={},r.argument.documentation=e.action+" default"+n.action+n.documentation,r.argument.key=u(e.text,LETTERS.UPPER),r.argument.name=u(e.text+" value",e.letters.attribute)),r.attribute.name=u(e.text,e.letters.attribute),r.operation.documentation=e.action+n.action+n.documentation,r.operation.name=u(e.action+n.name,e.letters.operation),r}function o(e){return e.substring(e.lastIndexOf("/")+1,e.lastIndexOf("."))}function i(e,t){var r=e.getElementsByTagName("*"),n=t.getElementsByTagName("*"),a=Array.filter(e.querySelectorAll("*:not(br):not(img):not(input):not(link):not(option):not(script):not(select):not(style)"),function(e,t){var a=[].indexOf.call(r,e);return n[a].offsetHeight<1||!T(e)});return a}function l(e){var r="";if(e.id&&(r=s(e,"id")),""===r&&e.name&&(r=s(e,"name")),""===r){var n=e.parentNode.querySelectorAll("label"),a=t(e,n);a&&(r=a.textContent||a.innerText||"",r=r.trim())}return r}function s(e,r){var n=e.getAttribute(r)||e[r]||"",a="";if(n){var o=document.querySelector('label[for="'+n+'"]');if(o&&(a=o.textContent||o.innerText||"",a=a.trim()),""===a){var i=n.toLowerCase(),l=Array.filter(document.querySelectorAll("label[for]"),function(e){return e.getAttribute("for").toLowerCase()===i});o=t(e,l),o&&(a=o.textContent||o.innerText||"",a=a.trim())}}return a}function u(e,t){switch(t=t||LETTERS.CAMEL,t=parseInt(t),e=e||"",t){case LETTERS.LOWER:case LETTERS.UPPER:e=e.replace(/\./g,"_").replace(/\s+|__/g,"_").replace(/^_|_$/g,""),e=t===LETTERS.LOWER?e.toLowerCase():e.toUpperCase();break;case LETTERS.CAMEL:case LETTERS.NATURAL:case LETTERS.PROPER:e=e.replace(/\./g," ").trim().replace(/\s\s+/g," ").replace(/\w\S*/g,function(e){return e.charAt(0).toUpperCase()+e.substr(1).toLowerCase()}),(t===LETTERS.CAMEL||t===LETTERS.PROPER)&&(e=e.replace(/\s+/g,""),t===LETTERS.CAMEL&&(e=e.charAt(0).toLowerCase()+e.substr(1)))}return e}function c(e){var t=e.querySelector("img"),r="";return t&&(r=t.alt||o(t.src)),r.trim()}function f(t,r){var a={};return r&&(a=m(t)),a.strategy||(t.id?(a.strategy="id",a.value=t.id):t.name?(a.strategy="name",a.value=t.name):(a.strategy="css",t.getAttribute("class")&&(a.value=e("class",t)),!a.value&&t.title&&(a.value=e("title",t)),!a.value&&t.getAttribute("href")&&(a.value=e("href",t)),a.value||(a.value=n(t)))),a}function d(e,t){e=e||"";var r=e.length;return r>t&&(t=r),t}function m(e){for(var t={},r=0,n=R.length;n>r;r++){var a=R[r],o=a.handler(e);o&&(t.strategy=a.strategy,t.value=o)}return t}function p(e){for(var t="",r=0,n=A.length;n>r&&!(t=e.getAttribute(A[r]+"model")||"");r++);return t.trim()}function g(e,t){t=t||e.nodeName;var r=Array.filter(e.parentNode.children,function(e,r){return e.nodeName===t}),n=[].indexOf.call(r,e);return n++,1===n&&n===r.length?0:n}function b(e){var t=l(e);if(""===t){var r=e.parentNode;if(r){var n=r.cloneNode(!0),a=n.querySelector(e.nodeName.toLowerCase());a.parentNode.removeChild(a),t=n.textContent||n.innerText||"",t=t.trim()}}return""===t&&(t=b(e.parentNode)),t}function v(e){e=e||document.body;var t=e.cloneNode(!0),n=r(t),a=t.querySelectorAll("img,input,link,option,script,select,style"),o=i(t,e);return L(n),L(a),L(o),t.outerHTML}function y(e,t){var r=e.split(/\s+/g);return t&&(r=r.slice(0,t)),r.join(" ").trim().replace(/[^a-zA-Z0-9\. ]/g,"")}function x(e,t){t=t||5;for(var r=-1,n=[],a=e.match(/[^\r\n.!?]+/gi)||[],o=0,i=a.length;i>o;o++){var l=a[o].trim();if(""!==l){var s=(l.match(/\b\w+\b/gi)||[]).length;s>=t&&(n[++r]=l)}}return n}function h(e,t){if("[object Array]"!=={}.toString.call(e))return[];var r=t.tops.length?t.tops:t;e=e.slice(0),e.frequencies={};for(var n=0,a=e.length;a>n;n++){var o=e[n],i=o.toLowerCase();e.frequencies[o]=0;for(var l=0,s=r.length;s>l;l++)i.indexOf(r[l])>-1&&e.frequencies[o]++}return e.sort(function(t,r){return e.frequencies[r]-e.frequencies[t]}),e}function E(e){var t=-1,r=-1,n=[];n.frequencies={},n.tops=[],e.toLowerCase().split(/[\s*\.*\,\;\+?\#\|:\-\/\\\[\]\(\)\{\}$%&0-9*]/).map(function(e,t){e&&e.length>1&&(n.frequencies[e]++||(n.frequencies[e]=1))});for(var a in n.frequencies)n[++t]=a,n.frequencies[a]>1&&(n.tops[++r]=a);return n.sort(function(e,t){return n.frequencies[t]-n.frequencies[e]}),n.tops.sort(function(e,t){return n.frequencies[t]-n.frequencies[e]}),n}function T(e){"undefined"!=typeof jQuery&&e instanceof jQuery&&(e=e[0]);var t=e.getBoundingClientRect(),r=window.innerHeight||document.documentElement.clientHeight,n=window.innerWidth||document.documentElement.clientWidth;return t.left>-1&&t.top>-1&&t.left+t.width<=n&&t.top+t.height<=r}function L(e){var t={}.toString.call(e);if("[object Array]"===t||"[object NodeList]"===t)for(var r=-1,n=e.length;++r<n;){var a=e[r];(a.parentNode||{removeChild:function(){}}).removeChild(a)}}function S(e){var t=[],r=document.querySelector(e.nodes.root)||document,n=r.querySelectorAll(e.nodes.selector);if("[object NodeList]"!=={}.toString.call(n))return e.definitions=t,e;for(var o={},i=!1,l=-1,s=0,m={label:"",text:""},p=document.getElementsByTagName("*"),g={},T={},L=parseInt(e.nodes.visibility)===VISIBILITIES.VISIBLE,S=0,I=n.length;I>S;S++){var A={attribute:{},operation:{}},R={},w=n[S];if(L&&w.offsetHeight>0||!L){var C="",N=!1,O=!1,k="",P=f(w,e.nodes.angular),q=w.textContent||w.innerText||"";switch(A.attribute.strategy=P.strategy,A.attribute.value=P.value,A.sourceIndex=w.sourceIndex||[].indexOf.call(p,w),w.nodeName){case"A":C="Click",A.type="link",k="Link",q=q||c(w),""===m.text&&q.toLowerCase().indexOf("submit")>-1&&(m.label=k,m.text=q);break;case"BUTTON":C="Click",A.type="button",k="Button",""===m.text&&("submit"===(w.type||"").toLowerCase()||q.toLowerCase().indexOf("submit")>-1)&&(m.label=k,m.text=q);break;case"INPUT":var j=w.type||"";if("|button|image|submit|".indexOf("|"+j+"|")>-1)C="Click",A.type="button",k="Button",q=q||w.value||b(w),"submit"===j?(m.label=k,m.text=q):""===m.text&&q.toLowerCase().indexOf("submit")>-1&&(m.label=k,m.text=q);else{if("hidden"===j)break;if("checkbox"===j?O=!0:"|email|number|password|radio|search|tel|text|url|".indexOf("|"+j+"|")>-1&&(N=!0),k=u(j,LETTERS.PROPER),q=q||b(w),"radio"===j){k="Radio Button","name"!==A.attribute.strategy&&w.name&&(A.attribute.strategy="name",A.attribute.value=w.name);var B={attribute:{name:u(y(q,6)+" Value",e.attributes.letter),value:w.value},operation:{},sourceIndex:-1,type:"radio.value"};t[++l]=B,s=d(B.attribute.name,s)}"|email|number|password|search|tel|url|".indexOf("|"+j+"|")>-1&&(j="text"),C="Set",A.type=j}break;case"SELECT":C="Set",A.type="select",N=!0,O=!0,k="Drop Down List",q=b(w);break;case"TEXTAREA":C="Set",A.type="text",N=!0,k="Textarea",q=b(w)}var V=y(q);if(q=y(q,6),""!==q){if(g[q]){if(g[q]++,2===g[q]){var U=q+" 1";R=a({action:C,buffer:t[o[q]],fullText:V,hasArgument:N,label:k,letters:{attribute:e.attributes.letter,operation:e.operations.letter},text:U}),t[o[q]]=R,O&&(R=a({action:C,buffer:t[T[q]],fullText:V,hasArgument:N,label:k,letters:{attribute:e.attributes.letter,operation:e.operations.letter},negate:O,text:U}),t[T[q]]=R)}q=q+" "+g[q]}else o[q]=l+1,g[q]=1,O&&(T[q]=l+2);R=a({action:C,buffer:A,fullText:V,hasArgument:N,label:k,letters:{attribute:e.attributes.letter,operation:e.operations.letter},text:q}),t[++l]=R,s=d(R.attribute.name,s),O&&(R=a({action:C,buffer:A,fullText:V,hasArgument:N,label:k,letters:{attribute:e.attributes.letter,operation:e.operations.letter},negate:O,text:q}),t[++l]=R),i||"Set"!==C||(i=!0)}}}if(i&&e.operations.extras.fill){var A={attribute:{},operation:{documentation:"Fill every fields in the page.",name:u("Fill",e.operations.letter)},negate:!0,sourceIndex:-1,type:"fill"};t[++l]=A}if(i&&""!==m.text&&e.operations.extras["fill.submit"]){var A={attribute:{},operation:{documentation:"Fill every fields in the page and submit it to target page.",name:u("Fill And Submit",e.operations.letter)},negate:!0,sourceIndex:-1,target:{modelName:e.model.target},type:"fill.submit"};t[++l]=A}if(""!==m.text&&e.operations.extras.submit){var A={attribute:{},operation:{documentation:"Submit the form to target page.",name:u("Submit",e.operations.letter)},negate:!0,sourceIndex:-1,target:{modelName:e.model.target,name:u("Click "+y(m.text)+" "+m.label,e.operations.letter)},type:"submit"};t[++l]=A}if(e.operations.extras["verify.loaded"]){var $=v();$=$.replace(/(<([^>]+)>)/gi,"\n");var D=x($),M=E($);D=h(D,M);var F=D[0],A={attribute:{name:u("Page Loaded Text",e.attributes.letter),value:F},operation:{documentation:"Verify that the page loaded completely.",name:u("Verify Page Loaded",e.operations.letter)},sourceIndex:-1,type:"verify.loaded"};t[++l]=A}if(e.operations.extras["verify.url"]){var _=document.location.href.replace(document.location.origin,""),A={attribute:{name:u("Page Url",e.attributes.letter),value:_},operation:{documentation:"Verify that current page URL matches the expected URL.",name:u("Verify Page Url",e.operations.letter)},sourceIndex:-1,type:"verify.url"};t[++l]=A}return e.attributes.longestName=s,e.definitions=t,e}var I=1,A=["ng-","data-ng-","ng_","x-ng-","ng\\:"],R=[{handler:p,strategy:"model"}],w=128;return{generate:function(e){e=e||{};var t=Object.extend(e);return t=common.setDefaultValues(t),t=S(t),t.url=document.location.href,t},LETTERS:LETTERS,VISIBILITIES:VISIBILITIES}}(),window.POGLoaded||chrome.runtime.onMessage.addListener(function(e,t,r){!t.tab&&e.input&&r(POG.generate(e.input))});